/* tableFieldKey.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef TABLEFIELDKEY_H
#define TABLEFIELDKEY_H

#include "tableInfo.h"

class TableField;

// This is just a class that contains both a table ID and a field ID,
// which uniquely identifies a particular field in the database.  It's
// handy to build sets and maps using this class.

class TableFieldKey {
public:
  TableFieldKey(TableID table_id, int field_id);
  bool operator < (const TableFieldKey &other) const;
  bool operator == (const TableFieldKey &other) const;

  const TableField &get_field() const;

  TableID _table_id;
  int _field_id;
};

#endif
